<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_COMPENSATIONDAYS_READ)">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_COMPENSATIONDAYS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMPENSATIONDAYS}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(compensationdays)}">
      <div th:each="compensationday : ${compensationdays}">
        <div class="medium-box" id="${compensationday.key}">
          <h3 class="ui header" th:text="${compensationday.key}"></h3>
        </div>
        <div>
          <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <thead id="cabecalho">
              <tr>
                <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></th>
                <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></th>
                <th></th>
              </tr>
            </thead>
            <tbody>
              <tr th:each="compensationdayYear : ${compensationday.value}">
                <td th:text="${#strings.substring(compensationdayYear.day.date, 0, 11)}"></td>
                <td th:text="${compensationdayYear.name}"></td>
                <td sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_COMPENSATIONDAYS_UPDATE)">
                    <i th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" class="edit icon pointer" th:onclick="'editCompensationDay(\'' + ${compensationdayYear.id} + '\');'"></i>
                    <i th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" class="trash icon pointer" th:onclick="'deleteCompensationDay(\'' + ${compensationdayYear.id} + '\');'"></i>
                  </td>
              </tr>
            </tbody>
          </table>
        </div>
        <br /> <br />
      </div>
    </div>
    <br />
    <div th:replace="common/fragments/modal :: modal(medium,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_COMPENSATIONDAYS_CREATE)" th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = null,
                                                               icon1text = null,
                                                               icon1url = null,
                                                               icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                               icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                               icon2function = 'createCompensationDay();'
                                                               )" />
    <th:block th:if="${not #lists.isEmpty(years)}">
      <th:block th:replace="common/fragments/form :: actionbuttonsListing(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TIMESHEET},
			                                                             icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GENERATE},
			                                                             icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_COMPENSATIONDAYS_GENERATE},
			                                                             icon1list = ${years}
			                                                             )" />
    </th:block>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_COMPENSATIONDAYS_JS}}"></script>
</body>
</html>
